Installation de Ruby

Pour travailler avec Ruby, il faut installer un interpréteur Ruby. Cet interpréteur est disponible pour les plates-formes Windows, GNU/Linux et Mac OS X. La dernière version stable à la rédaction de cet ouvrage est la 1.8.6.

Le téléchargement se fera à partir de cette URL : http://www.ruby-lang.org/en/downloads/. Attention à la version française du site qui n’est pas toujours à jour avec les dernières versions.

1. Windows

L’installation sous Windows est d’une simplicité extrême grâce à l’assistant d’installation. Il s’agit d’un exécutable d’une vingtaine de Mo. Il a pour nom ruby suivi du numéro de la version.

CH1-1.png

Il suffit de cliquer sur Next autant de fois que nécessaire. À noter que si une ancienne version de Ruby est détectée, elle sera désinstallée.

Lorsque l’installation est terminée, une entrée est ajoutée dans le menu Démarrer comportant :

  • La documentation Ruby.

  • Un gestionnaire de librairies Ruby Gem.

  • Un interpréteur simple en ligne de commande fxri.

  • Un éditeur de texte SciTe.

  • La désinstallation de Ruby.

2. GNU/Linux

Le code source de Ruby est fourni et peut être compilé sur votre plate-forme GNU/Linux.

  • Créer un répertoire tmp dans votre Home directory : mkdir tmp

  • Décompresser le package dans ce répertoire : tar zxvf...

Pour consulter la suite, découvrez le livre suivant :
couv_Ruby.PNG
60-signet.svg
En version papier
20-ecran_lettre.svg
En version numérique
41-logo_abonnement.svg
En illimité avec l'abonnement ENI
130-boutique.svg
Sur la boutique officielle ENI
Précédent
Titre, auteur...
Suivant
L’interpréteur Ruby